IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

-- SysModule
UPDATE sm
SET sm.Caption = sm_b.Caption,
	sm.SysModuleEntityId = sm_b.SysModuleEntityId,
	sm.Image16 = sm_b.Image16,
	sm.Image20 = sm_b.Image20,
	sm.FolderModeId = sm_b.FolderModeId,
	sm.GlobalSearchAvailable = sm_b.GlobalSearchAvailable,
	sm.HasAnalytics = sm_b.HasAnalytics,
	sm.HasActions = sm_b.HasActions,
	sm.HasRecent = sm_b.HasRecent,
	sm.Code = sm_b.Code,
	sm.SysPageSchemaUId = sm_b.SysPageSchemaUId,
	sm.ModuleHeader = sm_b.ModuleHeader,
	sm.Attribute = sm_b.Attribute,
	sm.CardSchemaUId = sm_b.CardSchemaUId,
	sm.SectionModuleSchemaUId = sm_b.SectionModuleSchemaUId,
	sm.SectionSchemaUId = sm_b.SectionSchemaUId,
	sm.CardModuleUId = sm_b.CardModuleUId,
	sm.TypeColumnValue = sm_b.TypeColumnValue,
	sm.Image32Id = sm_b.Image32Id,
	sm.LogoId = sm_b.LogoId
FROM SysModule_backup sm_b
INNER JOIN SysModule sm ON sm.Id = sm_b.Id;

-- DROP TABLE SysModule_backup;

UPDATE M
SET M.Image32Id = R.NewImageId
FROM SysModule AS M
	INNER JOIN (
		SELECT
			MappingImage.OldImageId,
			MappingImage.NewImageId
		FROM (
			VALUES 
				('69BF8DE1-7DE6-448B-A0E6-DF99EBE87DDB', '2BAEEBF3-3DA8-4A32-AA4C-6806E90E6DA7'),  -- Cases / Portal cases
				('2F31C9BD-2D4F-4375-910B-37FCE417A0D4', '4B3A4FD8-B24E-4CB7-A43D-544BD8B9B25A'),  -- Agent desktop
				('9898CC0C-ADE2-4354-B537-D61AEF61FE29', '37F69B75-0A10-4F91-BA9B-2EEFE097A67C'),  -- Services
				('04E6572C-DF0B-4DD6-A9D1-C9D6AF130C43', '76911EF2-D870-4498-8A2D-B042C150AEFE'),  -- Service agreements
				('ECE6C8CB-40DD-4DB4-A6C7-A189330205C0', '7E408538-085C-4DE8-AA17-0C7AB8D5C571'),  -- Configuration items
				('21CA73E1-CA63-4F90-85A5-8685FC7A9EC3', '113FD7EE-AA3E-452C-B2BA-1AB7F654A7E0'),  -- Problems
				('49ADF448-BF6D-4EFA-A22E-244A0D0B70D0', 'E193B3BA-0787-4A67-9470-794550CF0274'),  -- Changes
				('2AA23316-EBC3-426E-939F-3EEF208C5753', 'E167D0F9-E925-450B-8304-0D18B874A334'),  -- Releases
				('2144099E-19E7-4EBA-ABD6-5374523F604D', 'D0FC31A8-493A-45A7-B38C-0D7C29DD55A4')   -- Queues / Queues Settings
		) AS MappingImage (OldImageId, NewImageId) 
		INNER JOIN SysImage ON MappingImage.NewImageId = SysImage.Id
	) AS R
		ON M.Image32Id = R.OldImageId;

-- SysModuleLcz
UPDATE sml
SET sml.Caption = sml_b.Caption,
	sml.ModuleHeader = sml_b.ModuleHeader
FROM SysModuleLcz_backup sml_b
INNER JOIN SysModuleLcz sml ON (sml.RecordId = sml_b.RecordId AND sml.SysCultureId = sml_b.SysCultureId);

-- DROP TABLE SysModuleLcz_backup;

-- SysWorkplace
UPDATE sw
SET sw.Position = sw_b.Position,
	sw.Name = sw_b.Name,
	sw.IsPersonal = sw_b.IsPersonal,
	sw.LoaderId = sw_b.LoaderId,
	sw.SysApplicationClientTypeId = sw_b.SysApplicationClientTypeId
FROM SysWorkplace_backup sw_b
INNER JOIN SysWorkplace sw ON sw.Id = sw_b.Id;

-- DROP TABLE SysWorkplace_backup;

-- SysWorkplaceLcz
UPDATE swl
SET swl.Name = swl_b.Name
FROM SysWorkplaceLcz_backup swl_b
INNER JOIN SysWorkplaceLcz swl ON (swl.RecordId = swl_b.RecordId AND swl.SysCultureId = swl_b.SysCultureId);

-- DROP TABLE SysWorkplaceLcz_backup;

-- SysModuleInWorkplace
UPDATE smiw
SET smiw.Position = smiw_b.Position,
	smiw.SysWorkplaceId = smiw_b.SysWorkplaceId,
	smiw.SysModuleId = smiw_b.SysModuleId
FROM SysModuleInWorkplace_backup smiw_b
INNER JOIN SysModuleInWorkplace smiw ON smiw.Id = smiw_b.Id;

-- DROP TABLE SysModuleInWorkplace_backup;