﻿IF OBJECT_ID('DisabledTriggers') IS NULL
	RETURN;

DECLARE @CmdTpl NVARCHAR(MAX) = 'ENABLE TRIGGER ##TriggerName## ON ##TableName##';
DECLARE @Cmd NVARCHAR(MAX);
DECLARE @TriggerName SYSNAME;
DECLARE @TableName SYSNAME;

DECLARE cur CURSOR FAST_FORWARD READ_ONLY LOCAL FOR
SELECT
	TriggerName,
	TableName
FROM DisabledTriggers
ORDER BY TableName;

OPEN cur;

FETCH NEXT FROM cur INTO @TriggerName, @TableName;
WHILE @@fetch_status = 0
BEGIN
	SET @Cmd = REPLACE(@CmdTpl, '##TriggerName##', @TriggerName);
	SET @Cmd = REPLACE(@Cmd, '##TableName##', @TableName);
	EXEC dlv.tsp_Execute @Cmd;
	FETCH NEXT FROM cur INTO @TriggerName, @TableName;
END

CLOSE cur;
DEALLOCATE cur;

DROP TABLE DisabledTriggers;